# Class IdUClient

java.lang.Object
com.io7m.hibiscus.api.HBClientAbstract<IdUMessageType, IdUClientConnectionParameters, IdUClientException>
com.io7m.idstore.user_client.internal.IdUClient

All Implemented Interfaces:
  `com.io7m.hibiscus.api.HBClientCloseableType<IdUClientException>, com.io7m.hibiscus.api.HBClientType<IdUMessageType, IdUClientConnectionParameters, IdUClientException>, com.io7m.hibiscus.api.HBIOOperationsType<IdUMessageType, IdUClientException>, IdUClientType, AutoCloseable`

public final class IdUClient extends com.io7m.hibiscus.api.HBClientAbstract<IdUMessageType, IdUClientConnectionParameters, IdUClientException> implements IdUClientType
The client.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUClient(IdUClientConfiguration inConfiguration, IdStrings inStrings, Supplier<HttpClient> inHttpClients)`
  The client.

- ## Method Summary

  ### Methods inherited from class com.io7m.hibiscus.api.HBClientAbstract

  `checkNotClosingOrClosed, close, connect, disconnect, handler, isClosed, receive, send, sendAndForget, sendAndWait, state, stateNow`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.hibiscus.api.HBClientCloseableType

  `close, isClosed`

  ### Methods inherited from interface com.io7m.hibiscus.api.HBClientType

  `connect, disconnect, state, stateNow`

  ### Methods inherited from interface com.io7m.hibiscus.api.HBIOOperationsType

  `receive, send, sendAndForget, sendAndWait`

  ### Methods inherited from interface IdUClientType

  `connectOrThrow, sendAndWaitOrThrow`

- ## Constructor Details

  - ### IdUClient

    public IdUClient(IdUClientConfiguration inConfiguration, IdStrings inStrings, Supplier<HttpClient> inHttpClients)
    The client.
    Parameters:
      `inConfiguration` - The configuration
      `inStrings` - The string resources
      `inHttpClients` - The HTTP client